package org.rcisoft.bus.custrecharge.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.custrecharge.entity.CustRecharge;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年12月13日 上午11:27:11.
 */
public interface CustRechargeService {

    /**
    * 保存 客户消费表
    * @param custRecharge
    * @return
    */
    CyPersistModel persist(CustRecharge custRecharge);

    /**
    * 删除 客户消费表
    * @param custRecharge
    * @return
    */
    CyPersistModel remove(CustRecharge custRecharge);

    /**
    * 逻辑删除 客户消费表
    * @param custRecharge
    * @return
    */
    CyPersistModel removeLogical(CustRecharge custRecharge);

    /**
    * 修改 客户消费表
    * @param custRecharge
    * @return
    */
    CyPersistModel merge(CustRecharge custRecharge);

    /**
    * 根据id查询 客户消费表
    * @param id
    * @return
    */
    CustRecharge findById(int id);

    /**
    * 分页查询 客户消费表
    * @param custRecharge
    * @return
    */
    IPage<CustRecharge> findAllByPagination(CyPageInfo<CustRecharge> paginationUtility,
              CustRecharge custRecharge);


    /**
    * 查询list 客户消费表
    * @param custRecharge
    * @return
    */
    List<CustRecharge> findAll(CustRecharge custRecharge);


    /**
    * 导出客户消费表
    * @return
    */
    List<CustRecharge> export(CustRecharge custRecharge);

}
