package org.rcisoft.bus.storegoodsstock.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;

/**
 * Created with cy on 2024年5月29日 下午1:21:49.
 */
@Data
@TableName("store_goods_stock")
public class StoreGoodsStock extends CyIdIncreEntity<StoreGoodsStock> {


    /**
     * @desc 商品id
     * @column goods_id
     * @default
     */
    private Integer goodsId;

    /**
     * @desc 商品编码
     * @column goods_code
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "商品编码", orderNum = "1", width = 40)
    private String goodsCode;

    @TableField(exist = false)
    @Excel(name = "商品名称", orderNum = "2", width = 20)
    private String goodsName;

    /**
     * @desc 商品数量
     * @column goods_counts
     * @default
     */
    @Excel(name = "库存", orderNum = "3", width = 20)
    private Integer goodsCounts;


    /**
     * @desc 品牌
     * @column goods_brand
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "品牌", orderNum = "4", width = 20)
    private String goodsBrand;

    @TableField(exist = false)
    private Integer inventoryValue;

    /**
     * @desc 季节
     * @column goods_season
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "季节", orderNum = "5", width = 20)
    private String goodsSeason;

    @TableField(exist = false)
    @Excel(name = "品名", orderNum = "6", width = 20)
    private String goodsDictName;

    /**
     * @desc 商品货号
     * @column goods_article_number
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "货号", orderNum = "7", width = 20)
    private String goodsArtNumber;


    /**
     * @desc 商品类型
     * @column goods_style
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "款式", orderNum = "8", width = 20)
    private String goodsStyle;




    /**
     * @desc 商品颜色
     * @column goods_colour
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "颜色", orderNum = "9", width = 20)
    private String goodsColour;

    /**
     * @desc 商品规格
     * @column goods_norms
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "规格", orderNum = "10", width = 20)
    private String goodsNorms;

    /**
     * @desc 商品尺码
     * @column goods_size
     * @default
     */
    @TableField(exist = false)
    @Excel(name = "尺码", orderNum = "11", width = 20)
    private String goodsSize;


    // = 查询
    @TableField(exist = false)
    private String actualGoodsCode;

    // >
    @TableField(exist = false)
    private Integer actualGtGoodsCounts;

    /**
     * 门店名称
     */
    @TableField(exist = false)
    private String storeName;

    /**
     * @desc 门店id
     * @column store_id
     * @default
     */
    private String storeId;

    /**
     * @desc 原价
     * @column original_price
     * @default
     */
    @TableField(exist = false)
    private BigDecimal originalPrice;

    /**
     * @desc 折扣价
     * @column discount_price
     * @default
     */
    @TableField(exist = false)
    private BigDecimal discountPrice;

    /**
     * @desc 门店价
     * @column store_price
     * @default
     */
    @TableField(exist = false)
    private BigDecimal storePrice;

    /**
     * @desc 总价
     * @column total_price
     * @default
     */
    @TableField(exist = false)
    private BigDecimal totalPrice;

    /**
     * 销售备注
     */
    @TableField(exist = false)
    private BigDecimal salesCategories;
}

