package org.rcisoft.bus.wmsgoods.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.ossInfo.entity.OssInfo;

import java.util.List;

/**
 * Created with cy on 2024年5月29日 下午1:21:49.
 */
@Data
@TableName("wms_goods")
public class WmsGoods  extends CyIdIncreEntity<WmsGoods> {


     /**
      * @desc 商品编码
      * @column goods_code
      * @default
      */
     @Excel(name = "商品编码", orderNum = "0", width = 40)
     private String goodsCode;

     @TableField(exist = false)
     @Excel(name="商场条码", orderNum = "1", width = 55)
     private String goodsH5;

     /**
      * @desc 品名
      * @column goods_name
      * @default
      */
     @Excel(name = "商品名称", orderNum = "2", width = 20)
     private String goodsName;
     /**
      * @desc 品牌
      * @column goods_size
      * @default
      */
     @Excel(name = "品牌", orderNum = "3", width = 20)
     private String goodsBrand;
     /**
      * @desc 季节
      * @column goods_season
      * @default
      */
     @Excel(name = "季节", orderNum = "4", width = 20)
     private String goodsSeason;

     @Excel(name = "品名", orderNum = "5", width = 20)
     private String goodsDictName;
     /**
      * @desc 货号
      * @column goods_art_number
      * @default
      */
     @Excel(name = "货号", orderNum = "6", width = 20)
     private String goodsArtNumber;
     /**
      * @desc 款式
      * @column goods_type
      * @default
      */
     @Excel(name = "款式", orderNum = "7", width = 20)
     private String goodsStyle;


     /**
      * @desc 颜色
      * @column goods_colour
      * @default
      */
     @Excel(name = "颜色", orderNum = "8", width = 20)
     private String goodsColour;

     /**
      * @desc 规格
      * @column goods_norms
      * @default
      */
     @Excel(name = "规格", orderNum = "9", width = 20)
     private String goodsNorms;

     /**
      * @desc 尺码
      * @column goods_size
      * @default
      */
     @Excel(name = "尺码", orderNum = "10", width = 20)
     private String goodsSize;




     @TableField(exist = false)
     private Integer inCounts;
     @TableField(exist = false)
     private Integer outCounts;

     /**
      * 回显 出入库 列表 count
      */
     @TableField(exist = false)
     private Integer goodsCounts;

     @TableField(exist = false)
     private List<OssInfo> ossInfoList;

     @TableField(exist = false)
     private Integer goodsId;
     @TableField(exist = false)
     private Integer ossId;

     /**
      * 新增，修改  图片 ids , 分割
      */
     @TableField(exist = false)
     private String urlIdList;


     // 库位号
     @TableField(exist = false)
     private String goodsNumber;

     // = 查询
     @TableField(exist = false)
     private String actualGoodsCode;
}

