package org.rcisoft.bus.wmsgoodsprice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.wmsgoodsprice.entity.WmsGoodsPrice;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年12月12日 下午4:27:44.
 */
public interface WmsGoodsPriceService {

    /**
    * 保存 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    CyPersistModel persist(WmsGoodsPrice wmsGoodsPrice);

    /**
    * 删除 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    CyPersistModel remove(WmsGoodsPrice wmsGoodsPrice);

    /**
    * 逻辑删除 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    CyPersistModel removeLogical(WmsGoodsPrice wmsGoodsPrice);

    /**
    * 修改 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    CyPersistModel merge(WmsGoodsPrice wmsGoodsPrice);

    /**
    * 根据id查询 价格管理表
    * @param id
    * @return
    */
    WmsGoodsPrice findById(int id);

    /**
    * 分页查询 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    IPage<WmsGoodsPrice> findAllByPagination(CyPageInfo<WmsGoodsPrice> paginationUtility,
              WmsGoodsPrice wmsGoodsPrice);


    /**
    * 查询list 价格管理表
    * @param wmsGoodsPrice
    * @return
    */
    List<WmsGoodsPrice> findAll(WmsGoodsPrice wmsGoodsPrice);


    /**
    * 导出价格管理表
    * @return
    */
    List<WmsGoodsPrice> export(WmsGoodsPrice wmsGoodsPrice);

}
